/* ===== PAGE LOADER ===== */

#loader{

position:fixed;

top:0;

left:0;

width:100%;

height:100vh;

background:#09111c;

display:flex;

flex-direction:column;

justify-content:center;

align-items:center;

z-index:99999;

transition:opacity .8s ease,visibility .8s ease;

}

#loader.hidden{

opacity:0;

visibility:hidden;

}

.loader-logo img{

width:140px;

animation:pulse 2s infinite;

}

.loader-line{

margin-top:40px;

width:220px;

height:4px;

border-radius:50px;

background:rgba(255,255,255,.15);

overflow:hidden;

position:relative;

}

.loader-line::before{

content:"";

position:absolute;

left:-100%;

width:100%;

height:100%;

background:linear-gradient(

90deg,

transparent,

#D4AF37,

transparent

);

animation:loading 1.8s infinite;

}

@keyframes loading{

0%{

left:-100%;

}

100%{

left:100%;

}

}

@keyframes pulse{

0%{

transform:scale(1);

}

50%{

transform:scale(1.08);

}

100%{

transform:scale(1);

}

}